Foros del Web » Programando para Internet » PHP » Configuración PHP »

[SOLUCIONADO] problema con extension mysql.dll

Estas en el tema de problema con extension mysql.dll en el foro de Configuración PHP en Foros del Web. Hola amigos, he actualizado de PHP4 a PHP5 y para configurarlo he seguido este manual utilizo phpMyAdmin, que nunca me dio problemas, sin embargo ahora ...
  #1 (permalink)  
Antiguo 04/11/2014, 19:57
 
Fecha de Ingreso: diciembre-2007
Mensajes: 292
Antigüedad: 10 años, 9 meses
Puntos: 2
problema con extension mysql.dll

Hola amigos,
he actualizado de PHP4 a PHP5 y para configurarlo he seguido este manual
utilizo phpMyAdmin, que nunca me dio problemas, sin embargo ahora no me deja ejecutarlo!!!( me a un Error: "no se pudo cargar la extension mysql")

¿Alguna idea de cual puede ser el error?

He visto k gay una extension llamada "php_mysqli.dll",¿he de activarla tambien (junto a "php_mysql.dll")?

Gracias, saludos:D
  #2 (permalink)  
Antiguo 04/11/2014, 20:55
Avatar de maturano  
Fecha de Ingreso: enero-2010
Ubicación: /home/
Mensajes: 537
Antigüedad: 8 años, 8 meses
Puntos: 35
Respuesta: problema con extension mysql.dll

Cita:
Iniciado por alfa18 Ver Mensaje
He visto k gay una extension llamada "php_mysqli.dll",¿he de activarla tambien (junto a "php_mysql.dll")?
No junto con, sino en lugar de. la extensión mysql es obsoleta, la reemplaza mysqli y/o pdo. Creo hay un aviso en el foro de PHP...

Ojo que la guia que enlazas es del 2003; sírvase para darte una idea y entender el proceso pero no como guía fiel pues muchas cosas han cambiado en 11 años...

No manejo windows, pero creo que ignorando la extensión php_mysql y utilizando en su lugar php_mysqli podría resolver tu problema. Sino, menciónalo ;).

Suerte _o/

------
Edit: el anuncio http://www.forosdelweb.com/f18/anunc...oleta-1008145/
__________________
I ♥ The Music!

Última edición por maturano; 04/11/2014 a las 20:57 Razón: agrego enlace al anuncio...
  #3 (permalink)  
Antiguo 05/11/2014, 03:41
 
Fecha de Ingreso: diciembre-2007
Mensajes: 292
Antigüedad: 10 años, 9 meses
Puntos: 2
Respuesta: problema con extension mysql.dll

Gracias por la respuesta, cambie a pdo_mysql.dll, pero el problema continua

Al bajarme los binarios para windows de php.net, baje un archivo llamado "VC9 x86 Thread Safe.ZIP", ¿que significa VC9?¿y Thread Safe?

Gracias por la info, saludos:D

PS:Muy buenas tus patatas

Última edición por alfa18; 05/11/2014 a las 04:29
  #4 (permalink)  
Antiguo 06/11/2014, 00:36
Avatar de maturano  
Fecha de Ingreso: enero-2010
Ubicación: /home/
Mensajes: 537
Antigüedad: 8 años, 8 meses
Puntos: 35
Respuesta: problema con extension mysql.dll

Cita:
Iniciado por alfa18 Ver Mensaje
Al bajarme los binarios para windows de php.net, baje un archivo llamado "VC9 x86 Thread
Safe.ZIP", ¿que significa VC9?¿y Thread Safe?
VC6 y VC9 se refieren a la manera en que se compiló el binario; Con Visual C++ versión 6 o 9 respectivamente.
Thread Safe y Non Thread Safe se refiere a si la capidad de ejecución multi-hilo/proceso.

Debes poner atención en cuál es el binario que necesitas. Depende de variables como si se ejecutará como módulo de
Apache estándar y qué versión, si se utilizará IIS o si se ejecutara como CGI. Repito, hace años que no uso Windows pero
PHP siempre ha tenido buena documentación y veo de reojo [1] explica los diferentes escenarios y qué deberás utilizar.


Cita:
Iniciado por alfa18 Ver Mensaje
Gracias por la respuesta, cambie a pdo_mysql.dll, pero el problema continua
¿Exáctamente el mismo mensaje de error?. Es entonces que debes quitar la librería del php.ini ...


¿Qué versión estás instalando?; de nuevo, leyendo rápido en la documentación [2] veo dice que a partir de la versión
5.3 la extensión mysqli viene habilitada por default.

Cita:
PHP 5.3.0+ ¶

En Windows, con versiones de PHP 5.3 o superiores, la extensión mysqli viene habilitada y utiliza por omisión el Driver Nativo MySQL. Esto significa que no debe preocuparse por configurar el acceso a libmysql.dll.
Repito que la guía que dejas es muy vieja. Léela para entender, no para seguir.

A todo esto, cabe la pregunta: ¿estás haciendo esto para un servidor que estará en producción?; porque si es para tu
desarrollo local, hay sofware pre-empaquetado que te incluye todo lo necesario, como XAMPP [3]. No vale la pena estés
complicandote en esto si solo es para desarrollar.


Cita:
Iniciado por alfa18 Ver Mensaje
PS:Muy buenas tus patatas
... ¿qué patatas? O_O


----------
[1] http://php.net/manual/es/install.windows.manual.php
[2] http://mx1.php.net/manual/es/mysqli.installation.php
[3] https://www.apachefriends.org/index.html
__________________
I ♥ The Music!
  #5 (permalink)  
Antiguo 06/11/2014, 03:57
 
Fecha de Ingreso: diciembre-2007
Mensajes: 292
Antigüedad: 10 años, 9 meses
Puntos: 2
Respuesta: problema con extension mysql.dll

necesito instalar el VC correspondiente, actualmente tengo el VC8 y este el VC9, ¿crees que el error pueda deberse a eso?

el error k me da es exactamente el mismo, me dice k no puede cargar la extension mysql y eso k probe ambas opciones(PDO/mysqli)

utilizo PHP5.4, aunque no entiendo muy bien el mensaje respecto 5.3

use la guia SOLO modo orientativo, esta algo desfsada si


gracias por los enlaces, les echare un ojo a ver k sako......saludos maturano

PS: patatas matutano, no? es malo, lo se.......
  #6 (permalink)  
Antiguo 06/11/2014, 04:13
 
Fecha de Ingreso: diciembre-2007
Mensajes: 292
Antigüedad: 10 años, 9 meses
Puntos: 2
Desacuerdo fatal error en phpMyAdmin!!!

necesito instalar el VC correspondiente, actualmente tengo el VC8 y este el VC9, ¿crees que el error pueda deberse a eso?

el error k me da es exactamente el mismo, me dice k no puede cargar la extension mysql y eso k probe ambas opciones(PDO/mysqli)

utilizo PHP5.4, aunque no entiendo muy bien el mensaje respecto 5.3

use la guia SOLO modo orientativo, esta algo desfsada si


gracias por los enlaces, les echare un ojo a ver k sako......saludos maturano

--------------------------------------------
gracias por la guia de configuracion de PHP, aunque son los pasos que ya hice me vino bien repasarlos

actualice phpmyadmin y ahora me aparece otro error:"fatal error: Call to undefined function mb_detect_encoding() in.........\phpMyAdmin\libraries\php-gettext\gettext.inc on line 177"

¿Alguna idea de cual es el problema ahora?

Última edición por alfa18; 06/11/2014 a las 05:17 Razón: nuevos datos
  #7 (permalink)  
Antiguo 06/11/2014, 14:37
Avatar de maturano  
Fecha de Ingreso: enero-2010
Ubicación: /home/
Mensajes: 537
Antigüedad: 8 años, 8 meses
Puntos: 35
Respuesta: fatal error en phpMyAdmin!!!

Cita:
Iniciado por alfa18 Ver Mensaje
actualmente tengo el VC8 y este el VC9, ¿crees que el error pueda deberse a eso?
Cita:
Iniciado por alfa18 Ver Mensaje
el error k me da es exactamente el mismo, me dice k no puede cargar la extension mysql y eso k probe ambas opciones(PDO/mysqli)
Pero la pregunta es, eliminaste la librería php_mysql.dll de la lista, ¿correcto?. PDO y mysqli no son excluyentes.

Cita:
Iniciado por alfa18 Ver Mensaje
utilizo PHP5.4, aunque no entiendo muy bien el mensaje respecto 5.3
... no tiene nada de complicado. Dice cláramente que versiones superiores a la 5.3 (eso incluye 5.4) vienen con la
extensión habilitada y no necesitas moverle a nada.

Cita:
Iniciado por alfa18 Ver Mensaje
use la guia SOLO modo orientativo, esta algo desfsada si
Bien, entonces no habrás hecho nada respecto a cargar, mover, incluir o editar el php.ini para dicha extensión.


Cita:
Iniciado por alfa18 Ver Mensaje
gracias por los enlaces, les echare un ojo a ver k sako......saludos maturano
Léelos, entiéndelos que para eso los dejo. Si tienes problemas después aplicar lo que ahí dice, menciónalo.


Cita:
Iniciado por alfa18 Ver Mensaje
actualice phpmyadmin y ahora me aparece otro error:"fatal error: Call to undefined function mb_detect_encoding() in.........\phpMyAdmin\libraries\php-gettext\gettext.inc on line 177"
Claramente lo dice: la función no está definida. ¿Ya la buscaste en la documentación?, ¿qué extensión la porporciona?,
¿la tienes instalada?.
__________________
I ♥ The Music!
  #8 (permalink)  
Antiguo 07/11/2014, 03:20
 
Fecha de Ingreso: diciembre-2007
Mensajes: 292
Antigüedad: 10 años, 9 meses
Puntos: 2
Respuesta: fatal error en phpMyAdmin!!!

Cita:
Iniciado por maturano Ver Mensaje
Pero la pregunta es, eliminaste la librería php_mysql.dll de la lista, ¿correcto?. PDO y mysqli no son excluyentes.
probe con ambas pero nunca las dos juntas, o PDO o mysqli

Cita:
Iniciado por maturano Ver Mensaje
Bien, entonces no habrás hecho nada respecto a cargar, mover, incluir o editar el php.ini para dicha extensión.
lo unico que cambie en php.ini fue el "extension_dir" y activar la extension PDO

Cita:
Iniciado por maturano Ver Mensaje
Claramente lo dice: la función no está definida. ¿Ya la buscaste en la documentación?, ¿qué extensión la porporciona?,
¿la tienes instalada?.
active las extensiones mbstring y gettext(lo lei en stackoverflow) en php.ini pero el problema continua, al hacer un ''php -m' no me coge el modulo mbstring ¿sera ese el problema?

Vi que el problema se repite bastante pero no encuentro una solucion klara, parece k kada uno da una solucion distinta al problema......te ire contando como va

---------------------------------------------------
probe a actualizar a MySQL 5.5 por si fuera una version anticuada la que tenia pero obtengo el mismo error¡¡¡¡¡¡¡

lo mas desconcertante es obtener siempre el mismo error para todos los cambios q hice

-----------------------------------------------
ARREGLADO!!!! (tras vovlverme loco buscando en cientos de foros)

segui los pasos de una guia , que en la instalacion de PHP5 dice "A continuación copiamos el php.ini a la carpeta C:\Windows\ o C:\WinNT\ según nuestra versión de Windows."

En lugar de copiar el archivo php.ini lo movi(borrandolo de C:PHP\, donde lo busca y al no encontrarlo da error!!!)

Cracias por tu ayuda maturano:D

Última edición por alfa18; 11/11/2014 a las 11:00 Razón: nuevos datos

Etiquetas: dll, extension, myadmin, php
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 06:14.